var path = require('path');
var mout = require('mout');
var expect = require('chai').expect;
var PackageAdapter = require(path.resolve('lib/adapters/PackageAdapter'));

describe('adapters/PackageAdapter', function(){

    it('is a constructor', function(){

        expect(PackageAdapter).to.be.a('function');
        expect(new PackageAdapter).to.be.a('object');
        expect((new PackageAdapter) instanceof PackageAdapter).to.be.true;

    });

    it('used as function return an instance', function(){

        expect(PackageAdapter() instanceof PackageAdapter).to.be.true;

    });

    describe('same value properties', function(){

        var bower = {},
            package = PackageAdapter(bower);

        mout.array.forEach(
            ['name', 'description', 'version', 'license', 'keywords', 'private'],
            function(property){
                it('#' + property, function(){

                    expect(package[property]).to.be.equal(bower[property]);

                });
            }
        );

    });


});